html,
body {
    max-width: 100%;
    overflow-x: hidden;
}
html {
    width: 100%;
    margin: 0;
    padding: 0;
    overflow-y: scroll;
    -ms-content-zooming: none;
    -ms-touch-action: pan-x pan-y;
    letter-spacing: -0.5px;
}
body {
    background: #fff;
    -webkit-font-smoothing: antialiased;
    font-size: 15px;
    color: #333;
    margin: 0 auto;
    padding: 0;
    text-align: center;
}
p  {
    margin: 0;
    padding: 0;
    border: 0 none;
}
img {
    border: 0;
    margin: 0;
    padding: 0;
    width: 100%;
    max-width: 440px;
}
*:focus {
    outline: none !important;
}

a {
    line-height: 0;
}


.float {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 55px;
    padding: 0 15px;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: rgba(255,255,255,0.8);
    backdrop-filter: blur(3px);
    overflow: hidden;
    z-index: 2;
}
.float a,
.float button {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    margin: 0;
    width: 38px;
    height: 38px;
    border-radius: 50%;
    font-size: 18px;
    line-height: 1;
    color: #000;
    text-decoration: none;
    border: 0;
    background: #fff;
}
.float a:hover,
.float button:hover,
.float a:active,
.float button:active {
    background: #0d6efd;
    color: #fff;
}

.float a.prev,
.float button.prev {
    padding-right: 3px;
}
.float a.next,
.float button.next {
    padding-left: 3px;
}

.float span {
    font-family: 'verdana';
    font-size: 15px;
    color: #333;
}



main {
    position: relative;
    width: 100%;
    max-width: 440px;
    margin: 0 auto;
    padding: 0 0 55px 0;
}
.chat {
    padding: 3px 20px 3px 15px;
    box-sizing: border-box;
}
.chat.user-start {
    padding-top: 15px;
}
.chat.time-end {
    padding-bottom: 12px;
}
.chat.type-end {
    padding-bottom: 40px !important;
}
.chat .box {
    width: 100%;
    font-size: 16px;
    line-height: 20px;
    color: #000;
    word-break: break-word;
    text-align: left;
}
.chat .box.me {
    text-align: right;
}
.chat .box.me .b-name {
    display: none;
}

.chat .pop {
    display: flex;
    gap: 8px;
}
.chat .pop .thumb {
    width: 38px;
    flex-basis: 38px;
    min-width: 38px;
}
.chat .pop .thumb img {
    width: 38px;
    height: 38px;
    object-fit: cover;
    border-radius: 35%;
    overflow: hidden;
}




/**************************/
/* 카톡 업무
/**************************/
.chat.kakao_work {
    background: #bacee0;
}


/**************************/
/* 카톡 일반
/**************************/
.chat.kakao_ilban {
    background-image: url('img/kakao_ilban.jpg');
    background-repeat: repeat-y;
    background-size: 100% auto;
}


/**************************/
/* 카톡 공통
/**************************/
.chat.kakao_work .box.date,
.chat.kakao_ilban .box.date {
    display: inline-block;
    width: auto;
    margin: 30px auto 7px auto;
    padding: 6px 12px 4px 12px;
    color: #262626;
    line-height: 15px;
    font-weight: 500;
    white-space: pre-wrap;
    text-align: center;
    letter-spacing: 0;
    border-radius: 12px;
    background: #0000000d;
}
.chat.kakao_work .box .b-name,
.chat.kakao_ilban .box .b-name {
    padding-left: 6px;
    margin-bottom: 2px;
    font-size: 14px;
    color: #4c4c4c;
    font-weight: 500;
}
.chat.kakao_work .box .b-msg,
.chat.kakao_ilban .box .b-msg {
    position: relative;
    width: 100%;
    margin-left: 6px;
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    gap: 6px;
}
.chat.kakao_work.user-start .box .b-msg.txt:before,
.chat.kakao_ilban.user-start .box .b-msg.txt:before {
    position: absolute;
    top: 3px;
    margin-left: -6px;
    content: "";
    transform: rotate(20deg);
    border-top: 5px solid transparent;
    border-bottom: 5px solid transparent;
    border-right: 10px solid #ffffff;
    border-left: 0 solid transparent;
}

.chat.kakao_work .box .b-msg .bm-bubble,
.chat.kakao_ilban .box .b-msg .bm-bubble {
    display: inline-block;
    width: auto;
    max-width: calc(100% - 100px);
    padding: 8px 14px 6px 12px;
    border-radius: 8px;
    background: #fff;
    overflow: hidden;
}

.chat.kakao_work .box .b-msg .bm-time,
.chat.kakao_ilban .box .b-msg .bm-time {
    width: 60px;
    flex-basis: 60px;
    padding-bottom: 4px;
    font-size: 12px;
    line-height: 15px;
    color: #0009;
    letter-spacing: 0;
    text-align: left;
}

.chat.kakao_work .box .b-msg .bm-img,
.chat.kakao_ilban .box .b-msg .bm-img {
    display: inline-block;
    width: auto;
    max-width: calc(100% - 100px);
    padding: 5px;
    border-radius: 8px;
    background: #fff;
    overflow: hidden;
}
.chat.kakao_work .box .b-msg .bm-img a,
.chat.kakao_ilban .box .b-msg .bm-img a {
    display: block;
}
.chat.kakao_work .box .b-msg .bm-img img,
.chat.kakao_ilban .box .b-msg .bm-img img {
    max-width: calc(440px - 100px);
    border-radius: 4px;
    overflow: hidden;
}

.chat.kakao_work .box .b-msg .bm-emo,
.chat.kakao_ilban .box .b-msg .bm-emo {
    margin: 10px 0;
    max-width: 150px;
}

.chat.kakao_work .box .b-msg .bm-mov,
.chat.kakao_ilban .box .b-msg .bm-mov {
    display: inline-block;
    width: auto;
    max-width: calc(100% - 100px);
    padding: 5px;
    border-radius: 8px;
    background: #fff;
    overflow: hidden;
}
.chat.kakao_work .box .b-msg .bm-mov video,
.chat.kakao_ilban .box .b-msg .bm-mov video {
    width: 100%;
    max-width: calc(440px - 100px);
    height: auto;
    border-radius: 4px;
    overflow: hidden;
}


.chat.kakao_work .box.me .b-name,
.chat.kakao_ilban .box.me .b-name {
    padding-left: 0;
    padding-right: 6px;
}
.chat.kakao_work .box.me .b-msg,
.chat.kakao_ilban .box.me .b-msg {
    flex-direction: row-reverse;
    margin-left: 0;
    margin-right: 6px;
}
.chat.kakao_work.user-start .box.me .b-msg.txt:before,
.chat.kakao_ilban.user-start .box.me .b-msg.txt:before {
    margin-left: 0;
    margin-right: -6px;
    transform: rotate(-20deg);
    border-top: 5px solid transparent;
    border-bottom: 5px solid transparent;
    border-right: 0 solid transparent;
    border-left: 10px solid #fee500;
}
.chat.kakao_work .box.me .b-msg .bm-bubble,
.chat.kakao_ilban .box.me .b-msg .bm-bubble {
    text-align: left;
    padding: 8px 12px 6px 14px;
    background: #fee500;
}
.chat.kakao_work .box.me .b-msg .bm-time,
.chat.kakao_ilban .box.me .b-msg .bm-time {
    text-align: right;
}
.chat.kakao_work .box.me .b-msg .bm-img,
.chat.kakao_ilban .box.me .b-msg .bm-img {
    background: #fee500;
}




/**************************/
/* 인스타
/**************************/
.chat.insta {
    background: #fff;
}
.chat.insta.user-start {
    padding-top: 15px;
}
.chat.insta .pop .thumb {
    margin-top: -7px;
}
.chat.insta .pop .thumb img {
    border-radius: 50%;
}
.chat.insta .box {
    display: flex;
    align-items: flex-start;
}

.chat.insta .box.date {
    display: inline-block;
    width: auto;
    margin: 40px auto 8px auto;
    padding: 6px 12px 4px 12px;
    color: #fff;
    line-height: 15px;
    font-weight: 500;
    white-space: pre-wrap;
    text-align: center;
    letter-spacing: 0;
    border-radius: 12px;
    background: #a834e1;
}
.chat.insta .box .b-name {
    margin-bottom: 2px;
}
.chat.insta .box .b-name > img {
    width: 30px;
    border-radius: 50%;
    margin-right: 6px;
}
.chat.insta .box .b-msg {
    position: relative;
    width: 100%;
    margin-left: 6px;
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    gap: 6px;
}
.chat.insta.user-start .box .b-msg.txt:before {
    position: absolute;
    top: 3px;
    margin-left: -6px;
    content: "";
    transform: rotate(20deg);
    border-top: 5px solid transparent;
    border-bottom: 5px solid transparent;
    border-right: 10px solid #f4f5f7;
    border-left: 0 solid transparent;
}

.chat.insta .box .b-msg .bm-bubble {
    display: inline-block;
    width: auto;
    max-width: calc(100% - 100px);
    padding: 8px 14px 6px 12px;
    -webkit-border-radius: 20px;
    -webkit-border-top-left-radius: 12px;
    -webkit-border-bottom-left-radius: 12px;
    -moz-border-radius: 20px;
    -moz-border-radius-topleft: 12px;
    -moz-border-radius-bottomleft: 12px;
    border-radius: 20px;
    border-top-left-radius: 12px;
    border-bottom-left-radius: 12px;
    background: #f4f5f7;
    overflow: hidden;
}

.chat.insta .box .b-msg .bm-time {
    width: 60px;
    flex-basis: 60px;
    padding-bottom: 3px;
    font-size: 12px;
    line-height: 15px;
    color: #0009;
    letter-spacing: 0;
    text-align: left;
}

.chat.insta .box .b-msg .bm-img {
    display: inline-block;
    width: auto;
    max-width: calc(100% - 100px);
    padding: 5px;
    border-radius: 8px;
    background: #f4f5f7;
    overflow: hidden;
}
.chat.insta.user-start .box .b-msg .bm-img {
    margin-bottom: 9px;
}
.chat.insta .box .b-msg .bm-img a {
    display: block;
}
.chat.insta .box .b-msg .bm-img img {
    max-width: calc(440px - 100px);
    border-radius: 4px;
    overflow: hidden;
}

.chat.insta .box .b-msg .bm-emo {
    margin: 10px 0;
}
.chat.insta .box .b-msg .bm-emo > img {
    max-width: 150px;
}

.chat.insta .box .b-msg .bm-mov {
    display: inline-block;
    width: auto;
    max-width: calc(100% - 100px);
    padding: 5px;
    border-radius: 8px;
    background: #f4f5f7;
    overflow: hidden;
}
.chat.insta .box .b-msg .bm-mov video {
    width: 100%;
    max-width: calc(440px - 100px);
    height: auto;
    border-radius: 4px;
    overflow: hidden;
}


.chat.insta.me {
    padding-top: 2px;
}
.chat.insta.user-start.me {
    padding-top: 15px;
    margin-bottom: 0;
}
.chat.insta .box.me .b-msg {
    flex-direction: row-reverse;
    margin-left: 0;
    margin-right: 6px;
}
.chat.insta .box.me .b-msg .bm-bubble {
    text-align: left;
    padding: 8px 12px 6px 14px;
    color: #fff;
    background: #6f3efa;
    -webkit-border-radius: 20px;
    -webkit-border-top-right-radius: 12px;
    -webkit-border-bottom-right-radius: 12px;
    -moz-border-radius: 20px;
    -moz-border-radius-topright: 12px;
    -moz-border-radius-bottomright: 12px;
    border-radius: 20px;
    border-top-right-radius: 12px;
    border-bottom-right-radius: 12px;
}
.chat.insta .box.me .b-msg .bm-time {
    text-align: right;
}
.chat.insta .box.me .b-msg .bm-img {
    background: #6f3efa;
}
.chat.insta.user-start .box.me .b-msg .bm-img {
    margin-bottom: 0;
}
.chat.insta .box.me .b-msg.txt:before {
    margin-left: 0;
    margin-right: -6px;
    transform: rotate(-20deg);
    border-top: 5px solid transparent;
    border-bottom: 5px solid transparent;
    border-right: 0 solid transparent;
    border-left: 10px solid #6f3efa;
}




/**************************/
/* 디스코드
/**************************/
.chat.discord {}




/**************************/
/* 사진
/**************************/
.chat.photo {
    background: #fff;
}
.chat.photo img {
    margin: 2px 0;
}
.chat.photo .date {
    display: inline-block;
    width: auto;
    margin: 25px auto 7px auto;
    padding: 4px 12px 6px 12px;
    color: #00425b;
    line-height: 15px;
    font-weight: 500;
    white-space: pre-wrap;
    text-align: center;
    letter-spacing: 0;
    border-radius: 12px;
    background: #bacee0;
}



/**************************/
/* 앨범
/**************************/
.chat.album {
    background: #fff;
    padding: 30px 0 20px 0;
}
.chat.album a {
    display: inline-block;
    width: calc(100% - 40px);
    max-width: 400px;
    padding: 8px;
    margin: 0;
    box-sizing: border-box;
    border: 1px solid #ddd;
    border-radius: 16px;
}
.chat.album a:before {
    content: '📸';
    position: absolute;
    z-index: 2;
    background: #fff;
    border-radius: 10px;
    font-size: 40px;
    margin: -10px 0 0 -20px;
}
.chat.album a > img {
    width: 100%;
    border-radius: 8px;
}




